<?php

namespace App\Imports;

use Carbon\Carbon;
use App\Models\Oldcase;
use App\Models\OffenceCase;
use App\Master\Master_Respondant;
use App\Master\Master_OffenceCase;
use App\Master\Master_Vehicle;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

class OldcasesImport implements ToModel,WithHeadingRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $row)
    {
        // dd($row);
        // dd($row['age']);
        $newDateFormat = \Carbon\Carbon::parse($row['offence_dt'])->format('Y-m-d');
        $scape = ' ';

        if ($row['gender'] == 'M') {
            $gender = 1;
        } else {
            $gender = 2;
        }

        $data['name'] = $row['name_of_the_respondent'];
        $data['age'] = $row['age'];
        $data['gender'] = $gender;
        $data['father_name'] = $row['respondent_fathers_name'];
        $data['aadhar'] = '1234567912';
        $data['mobile'] = $row['drunker_contact_no'];
        $data['office_name'] = $row['drunker_office_name'];
        $data['occupation'] = $row['drunker_occupation'];

        $data['responant_owner']['name'] = $row['driver_name'];
        $data['responant_owner']['age'] = $row['age'];
        $data['responant_owner']['gender'] = $gender;
        $data['responant_owner']['father_name'] = $row['respondent_fathers_name'];
        $data['responant_owner']['aadhar'] = '1234567912';
        $data['responant_owner']['mobile'] = $row['drunker_contact_no'];
        $data['responant_owner']['office_name'] = $row['drunker_office_name'];
        $data['responant_owner']['occupation'] = $row['drunker_occupation'];

        if($row['license_no'] != ''){
            $data['drivinglicense']['Number'] = $row['license_no'];
        }

        if ($row['wheeler'] == '2') {
                $vehicle = 1;
            } else {
                if($row['wheeler'] == '3'){
                    $vehicle = 2;
                }else{
                    if($row['wheeler'] == '4'){
                        $vehicle = 3;
                }
            }
            }
    if($row['attended_counselling'] == 'NOT ATTENDED'){
        $counselling = '0';
    }else{
        $counselling = '1';
    }
    if($row['payment_status'] == 'UNPAID'){
        $payment = '0';
    }else{
        $payment = '1';
    }

        $data['offence']['offence_type'] = '1';
        $data['offence']['offence_date'] = ''.$newDateFormat.''.$scape.''.$row['offence_time'].':20.420000';
        $data['offence']['location'] = $row['location'];
        $data['offence']['jurisdiction'] = $row['ps_juris'];
        $data['offence']['booked_psname'] = $row['booked_psname'];
        $data['offence']['point_name'] = $row['point_name'];
        $data['offence']['challan_number'] = $row['challan_no'];
        $data['offence']['pettycase_no'] = $row['pettycase_no'];  
        $data['offence']['check_sl_no'] = $row['check_slno'];
        $data['offence']['conviction_particulars'] = $row['conviction_particulars'];        
        $data['offence']['conviction_from_date'] = $row['conviction_from_date'];        
        $data['offence']['conviction_to_date'] = $row['conviction_to_date'];
        $data['offence']['rising_details'] = $row['rising_details'];
        $data['offence']['bac_count'] = $row['bac_count'];    
        $data['offence']['remarks'] = $row['remarks'];                                  
        $data['offence']['status'] = 1;
        $data['offence']['attended_counselling'] = $counselling; 
        $data['offence']['payment_status'] = $payment;
        $data['vehicle']['number'] = $row['vehicle_no'];
        $data['vehicle']['type'] = $vehicle; 
        $data['officer']['emp_code'] = $row['officer_id'];
        $data['officer']['name'] = $row['oficer_name'];
        $data['officer']['cadre'] = $row['cadre']; 

        if($row['court_code'] != ''){
            $data['court']['code'] = $row['court_code'];
            $data['court']['name'] = $row['court_name']; 
            $data['court']['address'] = $row['court_address']; 
            
        }
        
        // dd($data);
        Master_Respondant::create_or_update($data);
        
   return null;
       
    }
       
}
