<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ChargeSheet extends Model
{
    use HasFactory;
    protected $table = 'charge_sheets';
    protected $fillable =[  'date', 'chargeSheet_no', 'constable_id', 'officer_id'];
    
    public function offence_case(){
        return $this->hasOne(OffenceCase::class);
    }

    public function constable(){
        return $this->belongsTo(Officer::class,'constable_id');
    }

    public function officer(){
        return $this->belongsTo(Officer::class,'officer_id');
    }

    // public function offence(){
    //     return $this->belongsTo(OffenceCase::class);
    // }
}
