<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Searchable\Searchable;
use Spatie\Searchable\SearchResult;
class OffenceCase extends Model implements Searchable
{
    use HasFactory;
    protected $table = 'offence_cases';
    protected $fillable =[  'offence_type','type_of_case', 'offence_date', 'vehicle_id','violation', 'location', 'jurisdiction','booked_psname','point_name','challan_number','pettycase_no','check_sl_no','conviction_particulars	','conviction_from_date','conviction_to_date','rising_details','bac_count','officer_id', 'remarks', 'respondant_id', 'respondant_owner_id', 'status','attended_counselling','payment_status','court_id','parking_id', 'charge_sheet_id', 'release_id', 'disposal_id','witness_one','witness_two','witness_three'];
    
    public function vehicle(){
        return $this->belongsTo(Vehicle::class);
    }
    public function officer(){
        return $this->belongsTo(Officer::class);
    }
    public function court(){
        return $this->belongsTo(Court::class);
    }
    public function respondant(){
        return $this->belongsTo(Respondant::class);
    }
    public function respondant_owner(){
        return $this->belongsTo(Respondant::class);
    } 
    public function parking(){
        return $this->belongsTO(Parking::class);
    }
    public function disposal(){
        return $this->belongsTo(Disposal::class);
    }
    public function release(){
        return $this->belongsTo(Release::class);
    }
    public function charge_sheet(){
        return $this->belongsTo(ChargeSheet::class);
    }
    public function scopeOfDDCases($query,$data)
    {
        return $query->where('offence_type','1');
    }
    public function scopeOfOtherCases($query)
    {
        return $query->where('offence_type', '2');
    }

     public function getSearchResult() :SearchResult
    {
        $url="";
        return new SearchResult($this,$this->challan_number,$url);
    }
}

