<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Officer extends Model
{
    use HasFactory;
    protected $table = 'officers';
    protected $fillable = ['emp_code', 'name', 'cadre'];

    
    public function offence_case(){
        return $this->hasOne(OffenceCase::class);
    }

    public function charge_sheet_officer(){
        return $this->hasMany(ChargeSheet::class,'officer_id');
    }
    public function charge_sheet_constable(){
        return $this->hasMany(ChargeSheet::class,'constable_id');
    }
    public function scopeOfConstable($query){
        return $query->where('cadre', 'constable');
    }

    public function scopeOfFillingOfficer($query){
        return $query->where('cadre', 'SI')->orWhere('cadre', 'CI/DELTA');    
    }

}
