<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\LawSection;
use Spatie\Searchable\Searchable;
use Spatie\Searchable\SearchResult;
class Respondant extends Model implements Searchable
{
    use HasFactory;
    protected $table = 'respondants';
    protected $fillable =[ 'type', 'name', 'dob','age','gender', 'father_name', 'aadhar', 'mobile','education', 'occupation', 'office_name', 'law_section_id', 'disposal_id', 'jail_tenure', 'fine_amount'];
    
    // protected $appends = ['law_section'];
   
    public function address(){
        return $this->hasOne(Address::class);
    }  

    public function driving_license(){
        return $this->hasOne(DrivingLicense::class);
    }
    // public function address_owner(){
    //     return $this->hasOne(Address::class);
    // }  

    // public function driving_license_owner(){
    //     return $this->hasOne(DrivingLicense::class);
    // }  
    public function offence_case(){
        return $this->hasOne(OffenceCase::class);
    }
    
    public function offence_owner(){
        return $this->hasOne(OffenceCase::class,'respondant_owner_id');
    }
    

    public function law_sections()
    {
        return $this->belongsToMany('App\Models\LawSection','pivot_law_sections_respondants','respondant_id','law_section_id');
    }

    public function getSearchResult() :SearchResult
    {
        $url="";
        return new SearchResult($this,$this->name,$url);
    }

    // public function getLawSectionAttribute(){
    //     return "lawsection";
    // }
  
}

// return $this->belongsToMany('App\Product', 'products_shops', 
// 'shops_id', 'products_id');