<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOffenceCasesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('offence_cases', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('offence_type');
            $table->dateTime('offence_date');
            $table->unsignedBigInteger('vehicle_id')->nullable();
            $table->foreign('vehicle_id')->references('id')->on('vehicles');
            $table->string('violation')->nullable();
            $table->string('location')->nullable();
            $table->string('jurisdiction')->nullable();
            $table->string('booked_psname')->nullable();
            $table->string('point_name')->nullable();
            $table->string('challan_number')->nullable();
            $table->string('pettycase_no')->nullable();
            $table->integer('check_sl_no')->nullable();
            $table->string('conviction_particulars')->nullable();
            $table->date('conviction_from_date')->nullable();
            $table->date('conviction_to_date')->nullable();
            $table->string('rising_details')->nullable();
            $table->integer('bac_count')->nullable();
            $table->unsignedBigInteger('officer_id')->nullable();
            $table->foreign('officer_id')->references('id')->on('officers');
            $table->string('remarks')->nullable();
            $table->unsignedBigInteger('respondant_id')->nullable();
            $table->foreign('respondant_id')->references('id')->on('respondants');
            $table->unsignedBigInteger('respondant_owner_id')->nullable();
            $table->foreign('respondant_owner_id')->references('id')->on('respondants');
            $table->integer('status')->nullable();
            $table->integer('attended_counselling')->nullable();
            $table->integer('payment_status')->nullable();
            $table->unsignedBigInteger('court_id')->nullable();
            $table->foreign('court_id')->references('id')->on('courts');
            $table->string('court_pchcasi')->nullable();
            $table->unsignedBigInteger('parking_id')->nullable();
            $table->foreign('parking_id')->references('id')->on('parkings');
            $table->unsignedBigInteger('charge_sheet_id')->nullable();
            $table->foreign('charge_sheet_id')->references('id')->on('charge_sheets');
            $table->unsignedBigInteger('release_id')->nullable();
            $table->foreign('release_id')->references('id')->on('releases');
            $table->unsignedBigInteger('disposal_id')->nullable();
            $table->foreign('disposal_id')->references('id')->on('disposals');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('offence_cases');
    }
}
