<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddConstableToChargeSheetsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('charge_sheets', function (Blueprint $table) {
            //
            $table->dropColumn('Constablename');
            $table->dropColumn('Officername');
            $table->unsignedBigInteger('constable_id')->nullable()->after('chargeSheet_no');
            $table->foreign('constable_id')->references('id')->on('officers');
            $table->unsignedBigInteger('officer_id')->nullable()->after('constable_id');
            $table->foreign('officer_id')->references('id')->on('officers');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('charge_sheets', function (Blueprint $table) {
            //
        });
    }
}
