<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\SuretyController;
use App\Http\Controllers\VehicleController;
use App\Http\Controllers\ParkingController;
use App\Http\Controllers\ChargeSheetController;
use App\Http\Controllers\OfficerController;
use App\Http\Controllers\DisposalController;
use App\Http\Controllers\RespondantController;
use App\Http\Controllers\AddressController;
use App\Http\Controllers\DrivingLicenseController;
use App\Http\Controllers\FetchController;
use App\Http\Controllers\OffenceCaseController;
use App\Http\Controllers\ReleaseController;
use App\Http\Controllers\LawSectionController;
use App\Http\Controllers\GeneratePdfController;
use App\Http\Controllers\OldcasesController;
use App\Http\Controllers\CourtController;


/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::post('/surety',[SuretyController::class,'surety_master_json']);
Route::post('/vehicle',[VehicleController::class,'vehicle_master_json']);

Route::post('/lawsection',[LawSectionController::class,'lawsection_master_json']);


Route::post('/add',[RespondantController::class,'respondant_master_json']);
Route::post('/parking',[ParkingController::class,'parking_master_json']);
// Route::post('/update_case_parking',[OffenceCaseController::class,'update_parking']);

Route::post('/add_case',[OffenceCaseController::class,'add_case']);
Route::post('/update_case_details',[OffenceCaseController::class,'update_case_details']);


Route::post('/add_court',[CourtController::class,'court_master_json']);

Route::post('/chargesheet',[ChargeSheetController::class,'chargesheet_master_json']);
Route::post('/update_case_chargesheet',[OffenceCaseController::class,'update_chargesheet']);

Route::post('/officer',[OfficerController::class,'officer_master_json']);

Route::post('/release',[ReleaseController::class,'release_master_json']);
Route::post('/update_case_release',[OffenceCaseController::class,'update_release']);

Route::post('/disposal',[DisposalController::class,'disposal_master_json']);
Route::post('/update_case_disposal',[OffenceCaseController::class,'update_disposal']);

Route::post('/respondant',[RespondantController::class,'respondant_master_json']);
Route::post('/address',[AddressController::class,'address_master_json']);
Route::post('/drivinglicense',[DrivingLicenseController::class,'drivinglicense_master_json']);

Route::post('/update_respondant',[RespondantController::class,'respondant_master_json']);
Route::post('/update_address',[AddressController::class,'address_master_json']);
Route::post('/update_drivinglicense',[DrivingLicenseController::class,'drivinglicense_master_json']);


Route::get('/getallchallanlist',[FetchController::class,'getallchallanlist']);

Route::get('/get_all_drunk_and_drive_list',[FetchController::class,'get_all_drunk_and_drive']);
Route::get('/get_all_other_list',[FetchController::class,'get_all_other_list']);

Route::get('/get_all_drunk_and_drive_list_',[FetchController::class,'get_all_drunk_and_drive']);
Route::get('/get_all_other_list',[FetchController::class,'get_all_other_list']);

Route::get('/get_case_details_by_id/{case_id}',[FetchController::class,'get_cases_details_by_id']);

Route::get('/get_challan_by_id/{challan_id}',[FetchController::class,'get_challan_by_id']);

Route::get('/getrespondant',[FetchController::class,'getrespondant']);

// Route::get('/getchallan',[OffenceCaseController::class,'getchallan']);

Route::post('/download_petty_doc',[GeneratePdfController::class,'generate_petty']);
Route::post('/court_dd_docs',[GeneratePdfController::class,'court_dd_generate']);
Route::post('download_docket',[GeneratePdfController::class,'download_docket']);

Route::post('download_dl_dd_receipt',[GeneratePdfController::class,'download_dl_dd_receipt']);
Route::post('download_surety_form',[GeneratePdfController::class,'download_surety_form']);

Route::post('download_dd1_form',[GeneratePdfController::class,'download_dd1_form']);
Route::post('download_dd2_form',[GeneratePdfController::class,'download_dd2_form']);

Route::post('download_wdl1_form',[GeneratePdfController::class,'download_wdl1_form']);
Route::post('download_wdl2_form',[GeneratePdfController::class,'download_wdl2_form']);

Route::post('download_dl_cellphone_receipt',[GeneratePdfController::class,'download_dl_cellphone_receipt']);
 
Route::get('import-form',[OldcasesController::class,'importView' ]);
Route::post('import', [OldcasesController::class,'import'])->name('oldcase.import');

Route::get('import_other-form',[OldcasesController::class,'import_otherView' ]);
Route::post('import_other', [OldcasesController::class,'importother'])->name('oldcase.importother');

Route::get('generate-pdf', [GeneratePdfController::class, 'generatePDF']);

Route::post('update_lawsection',[LawSectionController::class,'update_lawsection']);

Route::get('get_court_constable',[OfficerController::class,'get_court_constable']);
Route::get('get_filing_officer',[OfficerController::class,'get_filing_officer']);

Route::get('get_drunk_drive_lawsection',[LawSectionController::class,'get_drunk_drive_lawsection']);
Route::get('get_other_lawsection',[LawSectionController::class,'get_other_lawsection']);

Route::post('upload_surety_doc',[SuretyController::class,'upload_surety_doc']);
Route::get('download_surety_doc',[SuretyController::class,'download_surety_doc']);
Route::get('download_case_doc',[GeneratePdfController::class,'generate_case_doc']);
Route::get('download_case_doc',[GeneratePdfController::class,'generate_case_doc']);
Route::post('search',[OffenceCaseController::class,'search']);

